Bug 21957 - cross platform NFS lock problem
Summary: cross platform NFS lock problem
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-08 19:55 UTC by Deepak Saraf
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-05 05:56:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Deepak Saraf 2000-12-08 19:55:50 UTC
we have a problem , we are trying to use RedHAt linux 7.0 as a nfs 
server.We are trying to mount the exported directory onto a SCO openserver 
5.0.5 system.Read, write access is not a problem but file locking doesnot 
work evenif we use no_auth_nlm or insecure_locks option.NFS mounts from 
SCO to linux will work . Access is not a problem (Read ,Write).But there 
are some API calls which fail on NFS mounted file system.
To be more specific it  is FCNTL API call with F_GETLK as a parameter 
which doesnt work.fcntl with F_SETLK seems to work.

Comment 1 Pete Zaitcev 2002-10-09 00:00:37 UTC
Please retry on the 8.0 release (based on kernel 2.4).
I do not think anyone remembers how 7.0 NFS worked.


Comment 2 Pete Zaitcev 2003-01-05 05:56:31 UTC
Stale, closing



Note You need to log in before you can comment on or make changes to this bug.